#include <bits/stdc++.h>

int main(){
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    long long int x, y;
    std::cin>>x>>y;
    long long int r = x * 2 + y * 2 - 4;
    x-=2;
    y-=2;
    r+=x*y/2;
    std::cout<<r;
}